html {
	box-sizing: border-box;
	font-size: 10px;
}

*,
*:before,
*:after {
	/* Inherit box-sizing to make it easier to change the property for components that leverage other behavior; see http://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/ */
	box-sizing: inherit;
}

*:focus {
	outline: none;
}

body {
	font-size: 1.2rem;
	background: #fff;
	line-height : 1.5;
	font-family: $font_body;
	background: var( --dark-0 );
	padding-bottom: 30px;
}

hr {
	background-color: var( --light-2 );
	border: 0;
	height: 1px;
}

img {
	height: auto;
	max-width: 100%;
	object-fit: cover;
	vertical-align: middle;
}

figure {
	margin: 1em 0;
	/* Extra wide images within figure tags don't overflow the content area. */
}

blockquote,
h1,
h2,
h3,
h4,
h5,
h6 {
	line-height: 1.2;
	clear: both;
}

h1 {
	font-size: 3.6rem;
}

h2 {
	font-size: 3rem;
}

h3 {
	font-size: 2.4rem;
}

h4 {
	font-size: 1.8rem;
}

h5 {
	font-size: 1.2rem;
}

h6 {
	font-size: 1rem;
	text-transform: uppercase;
}

p {
	margin-bottom: 1.5em;
}

em,
i {
	font-style: italic;
}

/*--------------------------------------------------------------
# List
--------------------------------------------------------------*/
ul,
ol {
	list-style-type: none;
	margin: 0;
	padding: 0;
}


/*--------------------------------------------------------------
# Table
--------------------------------------------------------------*/
table {
	width: 100%;
}


/*--------------------------------------------------------------
# Button
--------------------------------------------------------------*/
button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
	border: none;
	border-radius: 0;
	background: transparent;
	color: #fff;
	font-size: 1.2rem;
	line-height: 1;
	padding: 8px 10px;
	cursor: pointer;
}

/*--------------------------------------------------------------
# Fields
--------------------------------------------------------------*/
input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
	color: #666;
	border: 1px solid #dedede;
	border-radius: 0;
	padding: 8px 10px;
}

input[type="search"] {
	-webkit-appearance: textfield;
}

select {
	border: 1px solid #dedede;
	padding: 10px 5px;
	width: 100%;
}

textarea {
	width: 100%;
}

/* Make sure embeds and iframes fit their containers. */
embed,
iframe,
object {
	max-width: 100%;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type="number"] {
    -moz-appearance: textfield;
}

/*--------------------------------------------------------------
# Links
--------------------------------------------------------------*/
a {
	text-decoration: none;
	transition: all .3s;
	color: var( --dark-3 );
	&:hover {
		text-decoration: none;
	}

	&:visited,
	&:hover,
	&:active,
	&:focus {
		outline: none;
	}
}

@font-face {
    font-family: 'digital-7';
    src: url('assets/webfonts/digital-7-webfont.woff2') format('woff2'),
         url('assets/webfonts/digital-7-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

.dropdown {
	position: relative;

	li {
		position: relative;
	}
}

.dropdown:hover .dropdown-menu {
	display: block;
}

.dropdown-menu {
	padding: 0;
	margin: 0;
	position: absolute;
	background: var( --dark-1 );
	border: 1px solid var( --dark-3 );
	top: 100%;
	left: 0;
	width: 160px;
	border-radius: 0 0 2px 2px;
	display: none;
	z-index: 999;
	> li > a {
		color: #fff;
		display: block;
		padding: 6px 12px;
		&:hover {
			background: var( --dark-2 );
		}
	}
}
.dropdown ul ul {
	padding: 0;
	margin: 0;
	position: absolute;
	background: var( --dark-1 );
	border: 1px solid var( --dark-3 );
	top: -1px;
	left: 100%;
	width: 160px;
	border-radius: 0 0 2px 2px;
	display: none;
	z-index: 999;
	> li > a {
		color: #fff;
		display: block;
		padding: 6px 12px;
		&:hover {
			background: var( --dark-2 );
		}
	}
}
.dropdown li:hover ul {
	display: block;
}

.tippy-tooltip {
	background: var( --blue );
	padding: 8px 10px !important;
	.tippy-arrow {
		border-bottom-color: var( --blue ) !important;
		border-top-color: var( --blue ) !important;
	}

	.tippy-content {
		font-size: 1.2rem;
	}
}

.ui-state-active,
.ui-widget-content .ui-state-active {
	background: var( --blue );
	border: none;
}